<?php

declare(strict_types=1);

namespace Drupal\search_api_elasticsearch_client\Plugin\search_api\data_type;

use Drupal\search_api\Plugin\search_api\data_type\TextDataType;

/**
 * Defines a class for the search_as_you_type data type.
 *
 * @SearchApiDataType(
 *   id = "search_api_elasticsearch_client_search_as_you_type",
 *   label = @Translation("Search-as-you-type"),
 *   description = @Translation("Optimized to provide out-of-the-box support for queries that serve an as-you-type completion use case"),
 *   fallback_type = "text",
 * )
 */
final class SearchAsYouTypeDataType extends TextDataType {

}
