<?php

declare(strict_types = 1);

namespace Drupal\search_api_elasticsearch_client\Event;

/**
 * Elastic search client events.
 */
final class ElasticsearchClientEvents {

  /**
   * Event fired for each field mapping.
   */
  const FIELD_MAPPING = 'search_api_elasticsearch_client.field_mapping';

  /**
   * Event fired when building the index params.
   */
  const INDEX_PARAMS = 'search_api_elasticsearch_client.index_params';

}
